WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [Plugin: Scripts Gzip] installation error (6 posts)

  1. tommy10
    Member
    Posted 4 years ago #

    tried to install the plugin but it doesn't work.

    (translated from Dutch)
    Error: plugin doesn't have a valid header

    http://wordpress.org/extend/plugins/scripts-gzip/

  2. edward mindreantre
    Member
    Posted 4 years ago #

    Hm. I'm gonna need more info on that.

    What are your file sizes?
    scripts_gzip.php = 4742 bytes
    gzip.php = 5757 bytes

    Works perfectly on my 2.9.1 install. *sigh*

  3. edward mindreantre
    Member
    Posted 4 years ago #

    http://showfom.cn/how-to-solve-the-plugin-does-not-have-a-valid-header-for-wordpress-2-8/

    Does that solve your problem? Not that I understand how it can solve it...

  4. Jakets
    Member
    Posted 4 years ago #

    The problem is that when you use the built in addon updater and installer, your plugin is inside a folder.

    scripts-gzip and inside this is scripts_gzip and inside that is the plugin files.

    You need to remove the folder within a folder and then it will properly install and update.

  5. edward mindreantre
    Member
    Posted 4 years ago #

    There. I think it's fixed now.

  6. tommy10
    Member
    Posted 4 years ago #

    It's fixed!

    I did use the build in addon-updater and that created a new folder in the scripts_gzip-folder. Deleting that and a new install solved the problem.

    Thanks for helping me out!

Topic Closed

This topic has been closed to new replies.

About this Topic